Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-transfer-rules.put-envelope-transfer-rule ​

This method changes the status of an envelope transfer rule. You use this method to change whether or not the rule is enabled. You must include the envelopeTransferRuleId both as a query parameter, and in the request body. Note: You cannot change any other information about the envelope transfer rule. Only Administrators can update an envelope transfer rule. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

Changes the status of an envelope transfer rule.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopetransferruleidstringYes—The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
carboncopyoriginalownerstringNo—When true, the original owner is added as a carbon copy recipient after envelope transfer. The default value is false.
enabledstringNo—When true, the envelope transfer rule is active.
envelopetransferruleid_2stringNo—The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
eventtypestringNo—The type of envelope event that triggers the transfer. Valid values are: - sent - before sent - completed
fromgroupjsonNo—This object contains information about a group.
fromuserjsonNo—User information.
modifieddatestringNo—The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.
modifieduserjsonNo—User information.
tofolderjsonNo—This object contains details about a folder.
touserjsonNo—User information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopetransferruleidstringYes—The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
carboncopyoriginalownerstringNo—When true, the original owner is added as a carbon copy recipient after envelope transfer. The default value is false.
enabledstringNo—When true, the envelope transfer rule is active.
envelopetransferruleid_2stringNo—The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
eventtypestringNo—The type of envelope event that triggers the transfer. Valid values are: - sent - before sent - completed
fromgroupjsonNo—This object contains information about a group.
fromuserjsonNo—User information.
modifieddatestringNo—The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.
modifieduserjsonNo—User information.
tofolderjsonNo—This object contains details about a folder.
touserjsonNo—User information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/transfer_rules/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/transfer_rules/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-transfer-rules.put-envelope-transfer-rule",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopetransferruleid": "value"
  }
}